<template>
  <button type="button" class="kakao--sms--button" @click="sendMsg">재발송</button>
</template>

<script setup>
  // props
  const props = defineProps({
    params: Object,
  });

  function sendMsg() {
    if (props.params && typeof props.params.onSendKakao === "function") {
      props.params.onSendKakao(props.params.value);
    }
  }
</script>
